------------------------------------------------------------------------
--! @file top_TB.vhd
--! @brief <b>Testbench Toplevel for TT3000 LVPS</b><p>
--!     Project: TT3000 - LVPS
--!
--! </p>
--! <p>
--! <b>Source:</b><p>
------------------------------------------------------------------------

library ieee;
use ieee.STD_LOGIC_UNSIGNED.all;
use ieee.std_logic_1164.all;


entity top_TB is

end top_TB;


architecture arTop_TB of top_TB is

    component Top is
        port (
            iExtClk         : in std_logic;
            iExtRstN        : in std_logic
        );
    end component Top;


    constant cExtClkPeriod    : time  := 1000.0 ns / 100; --100 MHz
    signal sExtClk  : std_logic;
    signal sExtRstN  : std_logic;
    


begin

    ilUUT: Top
    port map (
        iExtClk         => sExtClk,
        iExtRstN        => sExtRstN
    );

  --  reset generation
  sExtRstN  <= '0', '1' after 20 * cExtClkPeriod;

  -- Clock generation
  plClkGeneration: process
  begin
    sExtClk <= '0';
    wait for cExtClkPeriod /2;
    sExtClk <= '1';
    wait for cExtClkPeriod /2;
  end process;

end arTop_TB;
